PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package mount
  Definition Classes
    serverobject
- LargeCargo
- MaxOnly
- MountInfo
- MountRestriction
- Mountable
- MountableBehavior
- MountableDefinition
- MountableSpace
- MountableSpaceDefinition
- NoMax
- NoReinforcedOrMax
- Seat
- SeatDefinition
- SmallCargo
- Unrestricted

c

net.psforever.objects.serverobject.mount

# SeatDefinition

###

#### class SeatDefinition extends BasicDefinition with MountableSpaceDefinition[Player]

Source
  SeatDefinition.scala

Linear Supertypes
MountableSpaceDefinition[Player], BasicDefinition, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SeatDefinition
2. MountableSpaceDefinition
3. BasicDefinition
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SeatDefinition()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Descriptor: String
   Definition Classes
     BasicDefinition
5.  def Descriptor_=(description: Option[String]): String
   Definition Classes
     BasicDefinition
6.  def Descriptor_=(description: String): String
   Definition Classes
     BasicDefinition
7.  def Name: String
   Definition Classes
     BasicDefinition
8.  def Name_=(name: String): String
   Definition Classes
     BasicDefinition
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  var bailable: Boolean
    Definition Classes
      SeatDefinition → MountableSpaceDefinition
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  var occupancy: Int
    Definition Classes
      SeatDefinition → MountableSpaceDefinition
22.  var restriction: MountRestriction[Player]
    Definition Classes
      SeatDefinition → MountableSpaceDefinition
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from MountableSpaceDefinition[Player]

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped